import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/wallet/wallet.dart';

part 'wallets.g.dart';


@JsonSerializable(explicitToJson: true)
class WalletsResponse {
  final List<WalletDTO> wallets;

  const WalletsResponse({required this.wallets});

  factory WalletsResponse.fromJson(Map<String, dynamic> json) => _$WalletsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$WalletsResponseToJson(this);
}
